Package org.gitana.platform.client.node

# Interface BaseNode

All Superinterfaces:
  `Attachable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `TypedID`

All Known Subinterfaces:
  `Association`, `AssociationDefinition`, `ChildAssociation`, `CopiedFromAssociation`, `CreatedAssociation`, `Definition`, `DeletedAssociation`, `FeatureDefinition`, `Form`, `Group`, `HasBehaviorAssociation`, `HasFormAssociation`, `HasLockAssociation`, `HasMountAssociation`, `HasTranslationAssociation`, `LinkedAssociation`, `Node`, `NodeList`, `OwnedAssociation`, `Person`, `Rule`, `TypeDefinition`, `UpdatedAssociation`

All Known Implementing Classes:
  `AbstractDefinitionImpl`, `AssociationDefinitionImpl`, `AssociationImpl`, `BaseNodeImpl`, `ChildAssociationImpl`, `CopiedFromAssociationImpl`, `CreatedAssociationImpl`, `DeletedAssociationImpl`, `FeatureDefinitionImpl`, `FormImpl`, `GroupImpl`, `HasBehaviorAssociationImpl`, `HasFormAssociationImpl`, `HasLockAssociationImpl`, `HasMountAssociationImpl`, `HasTranslationAssociationImpl`, `LinkedAssociationImpl`, `NodeImpl`, `NodeListImpl`, `OwnedAssociationImpl`, `PersonImpl`, `RuleImpl`, `TypeDefinitionImpl`, `UpdatedAssociationImpl`

public interface BaseNode extends Document, Selfable, TypedID, Attachable, Referenceable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_FEATURES`
`static final String`
`FIELD_QNAME`
`static final String`
`FIELD_TYPE_QNAME`
`static final String`
`SYSTEM_CHANGESET`
`static final String`
`SYSTEM_DELETED`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFeature(String featureId, com.fasterxml.jackson.databind.node.ObjectNode featureConfigObject)`
`Branch`
`getBranch()`
`String`
`getBranchId()`
`Changeset`
`getChangeset()`
`String`
`getChangesetId()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getFeature(String featureId)`
`List<String>`
`getFeatureIds()`
`org.gitana.platform.support.QName`
`getQName()`
`Repository`
`getRepository()`
`String`
`getRepositoryId()`
`org.gitana.platform.support.QName`
`getTypeQName()`
`boolean`
`hasFeature(String featureId)`
`boolean`
`isDeleted()`
`void`
`removeFeature(String featureId)`
`void`
`touch()`
Touches the node.

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_FEATURES

static final String FIELD_FEATURES

See Also:
  - Constant Field Values

### FIELD_QNAME

static final String FIELD_QNAME

See Also:
  - Constant Field Values

### FIELD_TYPE_QNAME

static final String FIELD_TYPE_QNAME

See Also:
  - Constant Field Values

### SYSTEM_CHANGESET

static final String SYSTEM_CHANGESET

See Also:
  - Constant Field Values

### SYSTEM_DELETED

static final String SYSTEM_DELETED

See Also:
  - Constant Field Values

## Method Details

### getRepository

Repository getRepository()

### getRepositoryId

String getRepositoryId()

### getBranch

Branch getBranch()

### getBranchId

String getBranchId()

### getQName

org.gitana.platform.support.QName getQName()

### getTypeQName

org.gitana.platform.support.QName getTypeQName()

### getChangeset

Changeset getChangeset()

### getChangesetId

String getChangesetId()

### isDeleted

boolean isDeleted()

### touch

void touch()
Touches the node.

### getFeatureIds

List<String> getFeatureIds()

### getFeature

com.fasterxml.jackson.databind.node.ObjectNode getFeature(String featureId)

### removeFeature

void removeFeature(String featureId)

### addFeature

void addFeature(String featureId, com.fasterxml.jackson.databind.node.ObjectNode featureConfigObject)

### hasFeature

boolean hasFeature(String featureId)